CyberPanel Ubuntu Bug Reports

edited November 2018 in General Discussion
Hello

Please use this thread to report any issues on CyberPanel Ubuntu.

Regards

Comments

  • hi, i'm trying to install cyberpanel but i can't download the installer because curl is returning error 77: error setting certificate
  • Are you trying to install Ubuntu Beta, the guide is here https://cyberpanel.net/2018/11/19/cyberpanel-now-supports-ubuntu-18-04-and-18-10/

    and should be run as root (not sudo)
  • yes, i'm trying to install the Ubuntu Beta. it has the same problem when trying execute that command on that guide returning curl: (77) error setting certificate verify locations
  • Could you please paste full terminal ? since you start to run that command and until end of it where you see error.
  • just tested it in a vm on my local machine and it works fine on there so it's the initial server that has problems running ubuntu.
  • edited November 2018
    Install IonCube loader on CyberPanel Ubuntu ???
  • ftp, spamav and firewall dosnt work.. ubuntu 18.04 :/
  • noxsi said:

    ftp, spamav and firewall dosnt work.. ubuntu 18.04 :/

    Please use bug report template https://forums.cyberpanel.net/discussion/953/bug-report-template
  • Hi,

    If you have a problem or possible bug and seek for help, please:

    1. please using following example:


    Provider: Vultr, local computer

    System: Ubuntu 16.04 , Ubuntu 18.04

    Installation option: since during the installation.
    there will be few option to choose,so please provide it as well.

    OLS or Enterprise?
    OLS

    Installing from official server or mirror server?
    official


    Replace JS/CSS files to JS Delivr?
    no

    Problem:

    Traceback (most recent call last):
    File "install.py", line 3581, in
    main()
    File "install.py", line 3517, in main
    installCyberPanel.Main(cwd, mysql, distro, ent)
    File "/home/teknisi/install/installCyberPanel.py", line 768, in Main
    installer.installAllPHPVersions()
    File "/home/teknisi/install/installCyberPanel.py", line 226, in installAllPHPVersions
    1, 1, os.EX_OSERR)
    File "/home/teknisi/install/install.py", line 69, in call
    res = subprocess.call(shlex.split(command))
    File "/usr/lib/python2.7/subprocess.py", line 172, in call
    return Popen(*popenargs, **kwargs).wait()
    File "/usr/lib/python2.7/subprocess.py", line 394, in __init__
    errread, errwrite)
    File "/usr/lib/python2.7/subprocess.py", line 1047, in _execute_child
    raise child_exception
    OSError: [Errno 2] No such file or directory

    Something went wrong...


    Best regards,
  • katak said:


    Traceback (most recent call last):
    File "install.py", line 3581, in
    main()
    File "install.py", line 3517, in main
    installCyberPanel.Main(cwd, mysql, distro, ent)
    File "/home/teknisi/install/installCyberPanel.py", line 768, in Main
    installer.installAllPHPVersions()
    File "/home/teknisi/install/installCyberPanel.py", line 226, in installAllPHPVersions
    1, 1, os.EX_OSERR)
    File "/home/teknisi/install/install.py", line 69, in call
    res = subprocess.call(shlex.split(command))
    File "/usr/lib/python2.7/subprocess.py", line 172, in call
    return Popen(*popenargs, **kwargs).wait()
    File "/usr/lib/python2.7/subprocess.py", line 394, in __init__
    errread, errwrite)
    File "/usr/lib/python2.7/subprocess.py", line 1047, in _execute_child
    raise child_exception
    OSError: [Errno 2] No such file or directory

    Something went wrong...

    Just got the same error. Ubuntu 18.10 x64... Vultr provider

  • is not that installer only for centos 7?
  • It will auto-detect your OS.
  • For ubuntu please try official installer https://cyberpanel.net/docs/installing-cyberpanel/

    [11-19-04-Tue-Dec-2018] #########################################################################

    [11-19-04-Tue-Dec-2018] MariaDB instance successfully enabled at system restart!

    [11-19-04-Tue-Dec-2018] #########################################################################




    [11-19-04-Tue-Dec-2018] #########################################################################

    [11-19-04-Tue-Dec-2018] MYSQL Root Password change. [changeMYSQLRootPassword]

    [11-19-04-Tue-Dec-2018] #########################################################################

    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)



    [11-19-04-Tue-Dec-2018] #########################################################################

    [11-19-04-Tue-Dec-2018] MYSQL Root Password change. failed, trying again, try number: 1

    [11-19-04-Tue-Dec-2018] #########################################################################

    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)



    [11-19-04-Tue-Dec-2018] #########################################################################

    [11-19-04-Tue-Dec-2018] MYSQL Root Password change. failed, trying again, try number: 2

    [11-19-04-Tue-Dec-2018] #########################################################################

    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)



    [11-19-04-Tue-Dec-2018] #########################################################################

    [11-19-04-Tue-Dec-2018] MYSQL Root Password change. failed, trying again, try number: 3

    [11-19-04-Tue-Dec-2018] #########################################################################




    [11-19-04-Tue-Dec-2018] #########################################################################

    [11-19-04-Tue-Dec-2018] We are not able to MYSQL Root Password change. return code: 1. Fatal error, see /var/log/installLogs.txt for full details [changeMYSQLRootPassword]

    [11-19-04-Tue-Dec-2018] #########################################################################
  • Mod security installation failed https://prnt.sc/ltl23g

    Always provide as much details as possible, following the above format.
  • I didn't install cyberpanel successfully on ubuntu 16.04 and 18.04 vps and localhost. I want to return to the previous configuration using openlitespeed but a lot of problems I found.
    insserv: warning: current start runlevel (s) (2 3 5) of the LSB `lsws' script defaults (2 3 4 5).
    insserv: warning: current stop runlevel (s) (0 1 2 3 5 6) of the LSB overrides `lsws' script defaults (0 1 6).
    [OK] The startup script has been successfully installed!
    Can't determine the Home of LiteSpeed Web Server, exit!
    [ERROR] Failed to start litespeed!
    litespeed: no process found
    Can't determine the Home of LiteSpeed Web Server, exit!
    [ERROR] Failed to start litespeed!

    can anyone help solve my problem?
  • You are not authorized to access this resource. For Tuning, server status and firewall after upgrade to 1.7.5
  • Provider: Vultr

    System: Ubuntu 18.04

    OLS or Enterprise?
    OLS

    Installing from official server or mirror server?
    official


    Replace JS/CSS files to JS Delivr?
    yes

    Install Memcached extension for PHP?
    yes

    Install LiteSpeed Memcached?
    yes

    Install Memcached?
    yes

    Install Redis extension for PHP?
    yes

    Install Redis?
    yes


    Problem:
    1. error when opening phpmyadmin error “json extension is missing
    2. opening rainloop curl & json extension is missing
    3. installing wordpress is successful but no wordpress files are downloaded

    why did I install cyberpanel on digitalocean successfully by using one-click install
  • katak said:

    Provider: Vultr

    System: Ubuntu 18.04

    OLS or Enterprise?
    OLS

    Installing from official server or mirror server?
    official


    Replace JS/CSS files to JS Delivr?
    yes

    Install Memcached extension for PHP?
    yes

    Install LiteSpeed Memcached?
    yes

    Install Memcached?
    yes

    Install Redis extension for PHP?
    yes

    Install Redis?
    yes


    Problem:
    1. error when opening phpmyadmin error “json extension is missing
    2. opening rainloop curl & json extension is missing
    3. installing wordpress is successful but no wordpress files are downloaded

    why did I install cyberpanel on digitalocean successfully by using one-click install

    You mean that on Vultr you are having issues but DO One-click image worked for you?
  • edited January 4
    provider: Vultr
    Ubuntu 18.04
    wordpress one click installation does not work!
    webmail does not work!
    When I try to install wordpress by myself something going wrong!!
  • Ubuntu 18.04

    Installation seems fine, panel loads ok, able to transfer remote backup and restore

    However website module gives 500 error

    No issue on centos7.6
  • katak said:

    Provider: Vultr

    System: Ubuntu 18.04

    OLS or Enterprise?
    OLS

    Installing from official server or mirror server?
    official


    Replace JS/CSS files to JS Delivr?
    yes

    Install Memcached extension for PHP?
    yes

    Install LiteSpeed Memcached?
    yes

    Install Memcached?
    yes

    Install Redis extension for PHP?
    yes

    Install Redis?
    yes


    Problem:
    1. error when opening phpmyadmin error “json extension is missing
    2. opening rainloop curl & json extension is missing
    3. installing wordpress is successful but no wordpress files are downloaded

    why did I install cyberpanel on digitalocean successfully by using one-click install

    You mean that on Vultr you are having issues but DO One-click image worked for you?
    onelick install app in DO no problem.
    I tried install on the local computer the result is the same, what's wrong?
  • filemanager is not working also
  • I can't install packages required for Containerization function.
    LOG when press Install Button:
    -----------
    sudo: unable to resolve host instance-1
    sudo: yum: command not found
    sudo: unable to resolve host instance-1
    Failed to enable unit: Unit file cgconfig.service does not exist.
    sudo: unable to resolve host instance-1
    Failed to enable unit: Unit file cgred.service does not exist.
    Packages successfully installed.[200]
    -----------
    It said successful but not works.
    GCP
    Ubuntu 18 LTS
    LiteSpeed Ent.
    CyberPanel 1.8.1
  • Containerization is currently only available on CentOS. We will port it to Ubuntu soon.
Sign In or Register to comment.
Support CyberPanel CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!